Bug 107696 - [Qt][WK1] Support better testing of Web Notifications
Summary: [Qt][WK1] Support better testing of Web Notifications
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Allan Sandfeld Jensen
URL:
Keywords:
Depends on:
Blocks: 95507 107449
  Show dependency treegraph
 
Reported: 2013-01-23 08:05 PST by Allan Sandfeld Jensen
Modified: 2013-04-30 05:23 PDT (History)
2 users (show)

See Also:


Attachments
Patch (15.63 KB, patch)
2013-01-23 08:11 PST, Allan Sandfeld Jensen
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Allan Sandfeld Jensen 2013-01-23 08:05:48 PST
To be able to run more of the web notification tests, we need to implement these methods in DRT:

void denyWebNotificationPermission(in DOMString origin);
void removeAllWebNotificationPermissions();
Comment 1 Allan Sandfeld Jensen 2013-01-23 08:11:21 PST
Created attachment 184240 [details]
Patch
Comment 2 Jocelyn Turcotte 2013-01-24 06:17:30 PST
Comment on attachment 184240 [details]
Patch

Overall comments
Comment 3 WebKit Review Bot 2013-01-30 06:00:37 PST
Comment on attachment 184240 [details]
Patch

Clearing flags on attachment: 184240

Committed r141259: <http://trac.webkit.org/changeset/141259>
Comment 4 WebKit Review Bot 2013-01-30 06:00:41 PST
All reviewed patches have been landed.  Closing bug.
Comment 5 Zoltan Arvai 2013-01-30 06:21:51 PST
Qt Linux Release minimal has some problem with the patch:

/ramdisk/qt-linux-release-minimal/build/Source/WebKit/qt/WebCoreSupport/DumpRenderTreeSupportQt.cpp: In static member function 'static void DumpRenderTreeSupportQt::clearNotificationPermissions()':
/ramdisk/qt-linux-release-minimal/build/Source/WebKit/qt/WebCoreSupport/DumpRenderTreeSupportQt.cpp:1072: error: 'WebCore::NotificationPresenterClientQt' has not been declared

http://build.webkit.org/builders/Qt%20Linux%20Release%20minimal/builds/70733

Can you check it, please?